# Uses of Class
com.logicaldoc.core.filler.Filler

Packages that use Filler
Package
Description
com.logicaldoc.core.filler
Package with the API for implementing the autofill of `ExtensibleObject`s

## Uses of Filler in com.logicaldoc.core.filler

Subclasses of Filler in com.logicaldoc.core.filler
Modifier and Type
Class
Description
`class`
`ChainFiller`
A filler that fills using a list of other fillers
`class`
`MockFiller`
A Filler that does nothing
Methods in com.logicaldoc.core.filler with type parameters of type Filler
Modifier and Type
Method
Description
`<S extends Filler>
List<S>`
FillerDAO.`findByType(Class<S> type, long tenantId)`
Finds the fillers by type
`<S extends Filler>
List<S>`
HibernateFillerDAO.`findByType(Class<S> type, long tenantId)`
Methods in com.logicaldoc.core.filler that return Filler
Modifier and Type
Method
Description
`Filler`
FillerDAO.`findByName(String name, long tenantId)`
Finds the filler by it's name
`Filler`
HibernateFillerDAO.`findByName(String name, long tenantId)`
`static Filler`
Filler.`newFiller(String type)`
Factory method for instantiating a new filler
Methods in com.logicaldoc.core.filler that return types with arguments of type Filler
Modifier and Type
Method
Description
`List<Filler>`
ChainFiller.`getChain()`
Methods in com.logicaldoc.core.filler with parameters of type Filler
Modifier and Type
Method
Description
`void`
HibernateFillerDAO.`initialize(Filler entity)`
Method parameters in com.logicaldoc.core.filler with type arguments of type Filler
Modifier and Type
Method
Description
`void`
ChainFiller.`setChain(List<Filler> chain)`